uwsgi (2.0.29-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 10:06:04 +0200

uwsgi (2.0.29-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Alexandre Rossi ]
  * add patch to handle backlog of UNIX socket too
  * add patch to fix build with gcc-15 (Closes: #1098052)
  * remove patches which have been integrated upstream
  * add patch to use python3

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Apr 2025 22:24:52 +0200

uwsgi (2.0.28-9) unstable; urgency=medium

  [ Alexandre Rossi ]
  * link with -z noexestack
    closes: bug#1096104

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Mar 2025 20:27:35 +0100

uwsgi (2.0.28-8) unstable; urgency=medium

  * avoid installing examples in indep-only build

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Feb 2025 14:22:14 +0100

uwsgi (2.0.28-7) unstable; urgency=medium

  * build-depend (not -indep) on shellcheck

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Feb 2025 12:38:04 +0100

uwsgi (2.0.28-6) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * simplify packaging;
    use debhelper compatibility level 13 (not 10);
    build-depend on debhelper-compat (not cdbs dh-buildinfo);
    closes: bug#1076420
  * support DEB_BUILD_OPTIONS=nodoc

  [ Alexandre Rossi ]
  * add patch i1004 to make rack plugin compatible with rack3;
    closes: #1094637

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Feb 2025 02:24:37 +0100

uwsgi (2.0.28-5) unstable; urgency=medium

  * revert packaging simplification;
    build-depend on cdbs (not dh-compat);
    reopens: bug#1076420

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Jan 2025 03:27:54 +0100

uwsgi (2.0.28-4) unstable; urgency=medium

  * fix arch/indep build targets

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Jan 2025 02:12:55 +0100

uwsgi (2.0.28-3) unstable; urgency=medium

  [ Alexandre Rossi ]
  * add patch to fix pypy tests when run from another dir
  * simplify packaging;
    build-depend on dh-compat (not cdbs);
    closes: bug#1076420

  [ Jonas Smedegaard ]
  * stop provide metapackages
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Jan 2025 18:34:36 +0100

uwsgi (2.0.28-2) unstable; urgency=medium

  [ Alexandre Rossi ]
  * stop build-depend on dh-buildinfo;
    closes: bug#1088393
  * add 1007_fix_php_pypy_tests.patch
  * stop build or provide plugins now built externally:
    gccgo glusterfs java lua psgi python rados ruby;
    closes: bug#868752, #1069875, #1092756, #1093818
  * stop build useless binary uwsgi-core-local

  [ Jonas Smedegaard ]
  * simplify long description slightly,
    to mention less details for separately built packages
  * update copyright info:
    + use field Reference
    + update coverage
  * have binary package uwsgi-app-integration-plugins depend on
    new separately built uwsgi-plugin-pypy3
  * drop done or externalized TODOs

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Jan 2025 20:27:36 +0100

uwsgi (2.0.28-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Alexandre Rossi ]
  * remove obsolete README.source
  * drop patch 1004, applied upstream
  * add patch 2002 to ensure stable py plugins name for users
  * tidy rules file related to obsolete apache2 debhelper snippets
  * autopkgtest python3, cgi, psgi and rack plugins

  [ Jonas Smedegaard ]
  * unfuzz and reorder patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Oct 2024 22:50:18 +0200

uwsgi (2.0.26-4) unstable; urgency=medium

  [ Alexandre Rossi ]
  * drop libapache2-mod-{uwsgi,ruwsgi} considered deprecated
  * fix dh_clean confusion between manpages and binary pkg dirs
  * drop mono plugin, mono runtime in bad shape in Debian;
    closes: #1079881
  * add patch porting pypy plugin to pypy3
  * add upstream integration tests to uwsgi-src

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Sep 2024 11:51:00 +0200

uwsgi (2.0.26-3) unstable; urgency=medium

  [ Alexandre Rossi & Jonas Smedegaard ]
  * simplify packaging
  
  [ Jonas Smedegaard ]
  * reintroduce perl module coroae
    (bug#787500 was solved without dropping coro from Debian)
  * stop build Apache2 module mod-proxy,
    not installed since 2.0.15-11
  * fix register Apache2 modules
  * fix avoid cleaning apache2 hint files,
    no longer generated during build

  [ Alexandre Rossi ]
  * install apache2 module sources and uwsgidecorators.py
    with binary package uwsgi-src

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Aug 2024 12:40:25 +0200

uwsgi (2.0.26-2) unstable; urgency=medium

  * drop 2to3 build-dep (Closes: #1073232)
  * fix python3-uwsgidecorators description regarding py3 compat
  * don't suggest cherokee web server (removed from Debian in 2012)
  * fix installable-field-mirrors-source Priority

 -- Alexandre Rossi <niol@zincube.net>  Mon, 15 Jul 2024 09:47:19 +0200

uwsgi (2.0.26-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Alexandre Rossi ]
  * silence lintian on plugins needing linking to libc (unneeded)
  * remove shebang on initscript modules that are only sourced
  * remove obolete Provides/Conflicts of uwsgi-core
  * uwsgi-emperor is arch independent
  * drop useless build dep on libbz2-dev, libdb-dev, libonig-dev
  * drop 1007_purge_lru-restore-fix.patch (already applied in source)
  * unfuzz patches
  * run upstream integration tests as autopkgtest

 -- Alexandre Rossi <niol@zincube.net>  Fri, 07 Jun 2024 14:14:18 +0200

uwsgi (2.0.25.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Alexandre Rossi ]
  * drop useless dependency on lsb-base
  * build-Depend on pkgconf (not pkg-config)

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream, obsoleted by upstream changes
  * unfuzz patches
  * declare compliance with Debian Policy 4.7.0

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Apr 2024 01:57:51 +0200

uwsgi (2.0.24-3) unstable; urgency=medium

  [ Alexandre Rossi ]
  * disable rados plugin on 32 bits archs;
    closes: #1053196, thanks to Thomas Goirand
  * drop useless dep on python3-distutils;
    closes: #1065996, thanks to Graham Inggs
  * fix bashism in initscript;
    closes: #772386, thanks to Raphael Geissert

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Apr 2024 22:01:33 +0200

uwsgi (2.0.24-2) unstable; urgency=medium

  [ Alexandre Rossi ]
  * add debian/uwsgi.pydist for dh-python3 map;
    closes: #1060234, thanks to Jérémy Lal

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Feb 2024 19:46:57 +0100

uwsgi (2.0.24-1) unstable; urgency=medium

  * update and unfuzz patches
  * move system units to /usr for DEP17;
    closes: bug#1063691, thanks to Helmut Grohne

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Feb 2024 19:29:35 +0100

uwsgi (2.0.23-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Alexandre Rossi ]
  * add patch 1007 to properly init cache for purge_lru

  [ Jonas Smedegaard ]
  * unfuzz patches; update DEP-3 patch headers
  * add arch riscv64 to rados build-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Nov 2023 13:35:41 +0100

uwsgi (2.0.22-4) unstable; urgency=medium

  [ Alexandre Rossi ]
  * fix typo in d/uwsgi-core.README.Debian
  * update pcre2 patch from upstream merge request
  * add documentation link to systemd unit files
  * systemd socket unit: directly use /run instead of /var/run
  * add lintian override for missing uwsgi systemd service (Closes: #833067)
  * fix regular expressions for mangling debian/rules;
    really truly closes: bug#1051752

  [ Jonas Smedegaard ]
  * update regular expressions for mangling debian/rules:
    + tighten and merge patterns
    + fix properly cover greenlet openjdk mono rados gccgo
      (not only glusterfs)
  * really exclude arch mipsel and add arch riscv64
    related to greenlet openjdk mono rados gccgo

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Sep 2023 17:18:53 +0200

uwsgi (2.0.22-3) unstable; urgency=medium

  * fix refreshing build-dependencies
    with custom command `DEB_MAINTAINER_MODE=1 debian/rules clean`
  * update arch-specific build-dependencies;
    really closes: bug#1051752, thanks (again) to Sebastian Ramacher

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Sep 2023 09:46:25 +0200

uwsgi (2.0.22-2) unstable; urgency=medium

  * exclude arches armel armhf i386 from glusterfs build-dependencies,
    and add arch riscv64;
    closes: bug#1051752, thanks to Sebastian Ramacher
  * exclude arch mipsel from gccgo build-dependencies
  * exclude arch mipsel from greenlet build-dependencies,
    and add arch riscv64
  * exclude arch mipsel from mono build-dependencies
  * exclude arch mipsel from openjdk17 build-dependencies,
    and add arch riscv64
  * exclude arch mipsel from rados build-dependencies
  * drop binary package uwsgi-plugin-lua5.2;
    stop build-depend on liblua5.2-dev;
    closes: bug#1050753, thanks to Bastian Germann

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 13 Sep 2023 22:03:09 +0200

uwsgi (2.0.22-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Jul 2023 10:30:30 +0200

uwsgi (2.0.21-6) unstable; urgency=medium

  * add patch cherry-picked upstream to switch to pcre2;
    build-depend on libpcre2-dev (not libpcre3-dev);
    closes: bug#999936, thanks to Matthew Vernon and Alexandre Rossi
  * enable riscv64 in gccgo build-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Jul 2023 08:55:53 +0200

uwsgi (2.0.21-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Replaces on uwsgi-plugin-jvm-openjdk-11 (Closes: #1035005)

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 19 May 2023 09:59:29 -0400

uwsgi (2.0.21-5) unstable; urgency=medium

  * skip shellcheck test when DEB_BUILD_OPTIONS=nocheck;
    annotate shellcheck as test-only build-dependency;
    closes: bug#1031857, thanks to Johannes Schauer Marin Rodrigues

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 24 Feb 2023 12:50:43 +0100

uwsgi (2.0.21-4) unstable; urgency=medium

  * add patch cherry-picked upstream to fix build with PHP >= 8.2;
    (see bug#1028092)
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Jan 2023 10:58:47 +0100

uwsgi (2.0.21-3) unstable; urgency=medium

  * have uwsgi-dev depend on uwsgi-src and provide dh-sequence-uwsgi;
    have uwsgi-src stop suggest (not recommend) uwsgi-dev
  * declare compliance with Debian Policy 4.6.2
  * tighten packaging scripts: quote paths strings

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Dec 2022 14:20:11 +0100

uwsgi (2.0.21-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Dec 2022 21:01:26 +0100

uwsgi (2.0.21-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file:
    + track Github tags (not no longer offered upstream tarballs)
  * simplify source helper tool copyright-check
  * update copyright info: update coverage
  * provide binary package uwsgi-plugin-rack-ruby3.1
    (not uwsgi-plugin-rack-ruby3.0);
    closes: bug#1025248, thanks to Lucas Kanashiro
  * provide binary packages
    uwsgi-plugin-jvm-openjdk-17 uwsgi-plugin-jwsgi-openjdk-17
    uwsgi-plugin-ring-openjdk-17 uwsgi-plugin-servlet-openjdk-17
    (not uwsgi-plugin-jvm-openjdk-11 uwsgi-plugin-jwsgi-openjdk-11
    uwsgi-plugin-ring-openjdk-11 uwsgi-plugin-servlet-openjdk-11);
    build-depend on openjdk-17-jdk (not openjdk-11-jdk);
    depend on openjdk-17-jre-headless
    (not openjdk-11-jre-headless);
    closes: bug#1024459, thanks to Emmanuel Bourg
  * drop patches cherry-picked upstream now applied
  * unfuzz patches
  * declare compliance with Debian Policy 4.6.1

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Dec 2022 20:20:56 +0100

uwsgi (2.0.20-4) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * stop build-depend on libpcre2-dev
    (unneeded after all - see bug#1007773)

  [ Alexandre Rossi ]
  * fix php plugin with PHP 8.1;
    closes: #1007774
  * add myself to uploaders
  * add one-systemd-per-app service and socket files

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Mar 2022 12:00:44 +0100

uwsgi (2.0.20-3) unstable; urgency=medium

  [ Alexandre Rossi ]
  * fix building apache plugin following apache move to pcre2;
    closes: bug#1007773

  [ Jonas Smedegaard ]
  * acknowledge NMUs;
    thanks to Antonio Terceiro
  * tighten lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Mar 2022 13:20:51 +0100

uwsgi (2.0.20-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to allow testing migration.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 26 Feb 2022 19:07:25 -0300

uwsgi (2.0.20-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace uwsgi-plugin-rack-ruby2.7 with uwsgi-plugin-rack-ruby3.0
    (Closes: #1006119)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 26 Feb 2022 12:42:07 -0300

uwsgi (2.0.20-2) unstable; urgency=medium

  * link againt libyajl
    (and against libjansson only for mongrel2 plugin)
    to avoid certain symbols clash;
    build-depend on libyajl-dev;
    closes: bug#996879, thanks to Maxime Besson

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Oct 2021 16:15:28 +0200

uwsgi (2.0.20-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: update download mangle URI
  * drop patches cherry-picked upstream now applied
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Oct 2021 02:13:03 +0200

uwsgi (2.0.19.1-8) unstable; urgency=medium

  * update copyright info:
    + improve source script copyright-check
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * drop unused debian/control.in file from source,
    and stop cover cdbs or git-buildpackage in README.source file
  * declare compliance with Debian Policy 4.6.0
  * tighten shell scripts, thanks to shellcheck

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Sep 2021 23:33:37 +0200

uwsgi (2.0.19.1-7) unstable; urgency=medium

  * add patch cherry-picked upstream
    to remove PHP TSRMLS_* macros;
    unfuzz another upstream cherry-picked patch;
    see bug#989191, thanks to Bryce Harrington

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 May 2021 07:56:03 +0200

uwsgi (2.0.19.1-6) unstable; urgency=medium

  * fix permissions of runtime dir in uwsgi-emperor;
    closes: bug#982434, thanks to Vlastimil Zíma

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Feb 2021 10:15:46 +0100

uwsgi (2.0.19.1-5) unstable; urgency=medium

  * update git-buildpackage settings:
    + use DEP-14 git branch names
    + add usage comment
  * add uwsgi-emperor systemd service;
    closes: bug#969372,
    thanks to Rens Houben, Thomas Goirand, Peter Ludikovsky and others
  * copyright:
    + use only canonical Source URL
    + update coverage
  * declare compliance with Debian Policy 4.5.1
  * drop obsolete lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Jan 2021 17:54:19 +0100

uwsgi (2.0.19.1-4) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix path to glusterfs header;
    drop superseded patch 1015
  * add patches cherry-picked upstream:
    + don't overwrite hr->remains in http plugin raw_body mode
    + add regression test
      for issue of log hiding Unhandled object error
    + add millis to format log
    + send close frame to client when uwsgi receives close frame
    + use new Py_SET_SIZE API introduced in Python 3.9
  * add patches cherry-picked upstream
    to modernize Python calls
  * fix declare options deb-confnamespace and deb-confname,
    to support strict parsing;
    closes: bug#970793, thanks to Manfred Benesch
  * fix update uwsgi README.Debian
    to cover controlling specific uwsgi instances with systemd;
    closes: bug#772544, thanks to My Work and Marius Gedminas
  * declare compliance with Debian Policy 4.5.1
  * modernize source script copyright-check
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Dec 2020 14:01:36 +0100

uwsgi (2.0.19.1-3) unstable; urgency=medium

  * fix revert uwsgi init script to use bash
    (not POSIX shell: sources bash snippets)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Sep 2020 19:48:48 +0200

uwsgi (2.0.19.1-2) unstable; urgency=medium

  * fix uwsgi-emperor init script
    to use init-d-script (not POSIX shell) as shebang
    (broken since 2.0.8-1~exp2, almost 6 years ago);
    closes: bug#969372, thanks to Peter Ludikovsky
  * tighten uwsgi init script
    to use POSIX shell (not bash) as shebang,
    and parse all init scripts as POSIX shell in shellcheck check
  * declare compliance with Debian Policy 4.5.0
  * simplify source script copyright-chceck

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Sep 2020 18:16:56 +0200

uwsgi (2.0.19.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Jun 2020 13:10:42 +0200

uwsgi (2.0.18+20200523-2) unstable; urgency=medium

  [ Alexandre Rossi ]
  * drop fix-php-ldflags.patch: /usr/lib/php7 does not exist
    (php5 leftover)
  * add patch 2001 to enable verbose builds in the uwsgi build system

  [ Jonas Smedegaard ]
  * fix typo in patch 2001 DEP3 header

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jun 2020 13:07:38 +0200

uwsgi (2.0.18+20200523-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    notable changes:
    + plugins/logsocket: always initialize ul->count
    + Don't touch rss if it hasn't been initialized in get_memusage
    + Avoid usage of uninitialized variable
    + fix Python 3.7 warning in pyuwsgi.c
    + python: fix object leak in uwsgi.workers()
    + plugins/redislog: fix redislog compilation on 32bit
    + core/rpc: return errori in register_rpc if name is >= UMAX8
    + uwsgiconfig: quote bin_name when linking
    + fifo: log non-ENOENT unlink() errors
    + php: Properly zero initialize zend_file_handle
    + implemented graceful shutdown for vassals
    + yaml/libyaml: Fix keys ignored after sequence,
      support non-indented sequence entries
    + Add smart-daemon2 option to notify it on reloads
    + chroot: Do not chroot multiple times when root
    + python: support io.BytesIO with wsgi.file_wrapper
    + Added websocket support for continuation frames
    + gevent plugin: prepare for support of future gevent 1.5.0
    + plugins/psgi: fix build with GCC 10
    + plugins/{pypy,python}: avoid needless paste.script dependency
    + plugins/cgi: improve performance for santitizing file descriptors
    + fix offload-threads with honour-range
    + logging: fix size of packets shown as negative
    + Fix possible deadlock in install

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream now applied
  * unfuzz patches
  * fix extend patch 2017 to cover embedded execution of python;
    thanks to Alexandre Rossi (see bug#959577)
  * fix have uwsgi-dev depend on python3-distutils;
    thanks to Alexandre Rossi (see bug#959577)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 May 2020 14:47:36 +0200

uwsgi (2.0.18-11) unstable; urgency=medium

  * remove Thomas Goirand as uploader;
    thanks for past contributions
  * relax to build-depend unversioned on cdbs:
    needed version satisfied even in oldstable
  * cleanup after python wipeout
  * copyright: extend coverage
  * use debhelper compatibility level 10 (not 9)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Apr 2020 23:24:43 +0200

uwsgi (2.0.18-10) unstable; urgency=medium

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938766

  [ Thomas Goirand ]
  * Add python3-compat.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Apr 2020 17:05:52 +0200

uwsgi (2.0.18-9) unstable; urgency=medium

  * provide binary package uwsgi-plugin-rack-ruby2.7
    (not uwsgi-plugin-rack-ruby2.5);
    closes: bug#954700, #954787,
    thanks to Lucas Nussbaum and Lucas Kanashiro

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Mar 2020 15:44:29 +0100

uwsgi (2.0.18-8) unstable; urgency=medium

  * fix have uwsgi-plugin-python3 provide virtual httpd-wsgi3
    (not httpd-wsgi: accidentally changed since 2.0.12-8);
    closes: bug#952707, thanks to Michael Fladischer
  * re-enable arch mipsel in rados build-dependencies;
    closes: bug#949882, #949885, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Feb 2020 15:19:58 +0100

uwsgi (2.0.18-7) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix php memory corruption for uwsgi_cache_*
  * exclude arch mipsel from rados build-dependencies;
    closes: bug#948726, thanks to Peter Green
  * have uwsgi only rotate logfiles below /var/log/uwsgi/app
    (avoid ones directly below /var/log/uwsgi)
    to not clash with uwsgi-emperor;
    closes: bug#925954, thanks to Laurent Bonnaud
  * add patch 1006 to use pkg-config with libxml2
    (not deprecated xml2-config);
    closes: bug#949509, thanks to Mattia Rizzolo
  * stop buid-depend on libqdbm-dev
    (seems related to php plugin and even there apparently unneeded);
    closes: bug#924586, thanks to Andreas Hasenack

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 23 Jan 2020 11:52:29 +0100

uwsgi (2.0.18-6) unstable; urgency=medium

  * add patch cherry-picked upstream to avoid segfault with php 7.4
  * really declare compliance with Debian Policy 4.4.1
  * stop include mips in arch-specific dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Dec 2019 11:58:02 +0100

uwsgi (2.0.18-5) unstable; urgency=medium

  [ Alexandre Rossi ]
  * Disable matheval plugin build (deprecated upstream).
    Closes: #941432. Thanks to Pierre-Elliott Bécue.

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 4.4.1.
  * Update watch file: Use dversionmangle=auto.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Oct 2019 17:04:55 +0200

uwsgi (2.0.18-4) unstable; urgency=medium

  [ Alexandre Rossi ]
  * PHP plugin: Fix PHP7 sessions.
    Closes: Bug#933736.

  [ Jonas Smedegaard ]
  * Tighten patches to normalize name and always use DEP3 headers.
  * Declare compliance with Debian Policy 4.4.0.
  * Fix really stop build-depend on glusterfs-common.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Aug 2019 16:26:03 +0200

uwsgi (2.0.18-3) unstable; urgency=medium

  * debian/control build-depends: Replaced glusterfs-common by libglusterfs-dev
    (Closes: #919665).

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2019 19:30:26 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog uwsgi-plugin-ldap`.
